import {logColor, LogColor} from "../logger";

let yellowbg = LogColor.YELLOW_BG;
export let HookJavaLog = {

    testHookJavaLog: function () {
        Java.perform(function () {
            var Log = Java.use('android.util.Log');
            Log.e.overload('java.lang.String', 'java.lang.String').implementation = function (tag, msg) {
                logColor('Log.e:' + tag + msg, yellowbg);
            };
            Log.w.overload('java.lang.String', 'java.lang.String').implementation = function (tag, msg) {
                logColor('Log.w:' + tag + msg, yellowbg);
            };
            Log.i.overload('java.lang.String', 'java.lang.String').implementation = function (tag, msg) {
                logColor('Log.i:' + tag + msg, yellowbg);
            };
            Log.d.overload('java.lang.String', 'java.lang.String').implementation = function (tag, msg) {
                logColor('Log.d:' + tag + msg, yellowbg);
            };
            Log.v.overload('java.lang.String', 'java.lang.String').implementation = function (tag, msg) {
                logColor('Log.v:' + tag + msg, yellowbg);
            };
        });
    }
}